Skip to main content
GET
/
aci
/
attestation
Get attestation
curl --request GET \
  --url https://api.t2000.ai/v1/aci/attestation
import requests

url = "https://api.t2000.ai/v1/aci/attestation"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.t2000.ai/v1/aci/attestation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "model": "<string>",
  "verified": true,
  "enforced": true,
  "teeType": "<string>",
  "workloadId": "<string>",
  "tlsSpkiSha256": "<string>",
  "signingKey": "<string>",
  "tcbStatus": "<string>",
  "nonce": "<string>",
  "report": {}
}
Concepts: Attestation. Add a nonce to get the full, client-verifiable report (raw quote + keyset + endorsement) bound to your nonce.

Query Parameters

model
string
required

A confidential (phala/*) model id.

Example:

"phala/glm-5.2"

nonce
string

16–64 bytes of hex. Returns the full report bound to your nonce (freshness).

full
boolean

Include the full report without supplying a nonce.

Response

Attestation summary (+ full report when nonce/full is supplied).

model
string
verified
boolean
enforced
boolean
teeType
string
workloadId
string
tlsSpkiSha256
string
signingKey
string
tcbStatus
string
nonce
string
report
object

The full ACI report (only when nonce/full).